    Program f01abfe

!     F01ABF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: f01abf, nag_wp, x04caf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Integer                          :: i, ifail, lda, ldb, n
!     .. Local Arrays ..
      Real (Kind=nag_wp), Allocatable  :: a(:,:), b(:,:), z(:)
!     .. Executable Statements ..
      Write (nout,*) 'F01ABF Example Program Results'
      Write (nout,*)
      Flush (nout)
!     Skip heading in data file
      Read (nin,*)
      Read (nin,*) n
      lda = n + 1
      ldb = n
      Allocate (a(lda,n),b(ldb,n),z(n))
      Read (nin,*)(a(i,1:n),i=1,n)

!     ifail: behaviour on error exit   
!             =0 for hard exit, =1 for quiet-soft, =-1 for noisy-soft
      ifail = 0
      Call f01abf(a,lda,n,b,ldb,z,ifail)

!     Print the result matrix B
      Call x04caf('L','N',ldb,n,b,ldb,'Lower triangle of inverse',ifail)

    End Program f01abfe
